Recent

Author Topic: install fail Lazarus 2.2.2, ubuntu 24.x, 20.x  (Read 613 times)

RonQ

  • New Member
  • *
  • Posts: 15
install fail Lazarus 2.2.2, ubuntu 24.x, 20.x
« on: August 19, 2022, 04:53:26 pm »
have Lazarus 2.0.2 working on linux ubuntu 22.04 LTS, or 20.x
installing/upgrading to Lazarus 2.2.2 fails in the GUI environment.
Tried in the Terminal, fails with error:
<$ sudo apt install lazarus-project_2.2.2-0_amd64
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
E: Unable to locate package lazarus-project_2.2.2-0_amd64
>
... am lost....

MarkMLl

  • Hero Member
  • *****
  • Posts: 5119
Re: install fail Lazarus 2.2.2, ubuntu 24.x, 20.x
« Reply #1 on: August 19, 2022, 06:31:05 pm »
Make sure that your distro provided that package. If in doubt discuss with them since they're the ones who build it.

Having said which, there's a lot of advantages to only using your distro to provide prerequisite libraries, and getting bit FPC and Lazarus from this project... either via the downloads links shown

<----- OVER THERE SOMEWHERE :-)

or from Gitlab.

MarkMLl
MT+86 & Turbo Pascal v1 on CCP/M-86, multitasking with LAN & graphics in 128Kb.
Pet hate: people who boast about the size and sophistication of their computer.
GitHub repositories: https://github.com/MarkMLl?tab=repositories

tetrastes

  • Full Member
  • ***
  • Posts: 233
Re: install fail Lazarus 2.2.2, ubuntu 24.x, 20.x
« Reply #2 on: August 19, 2022, 10:07:47 pm »
have Lazarus 2.0.2 working on linux ubuntu 22.04 LTS, or 20.x
installing/upgrading to Lazarus 2.2.2 fails in the GUI environment.
Tried in the Terminal, fails with error:
<$ sudo apt install lazarus-project_2.2.2-0_amd64
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
E: Unable to locate package lazarus-project_2.2.2-0_amd64
>
... am lost....

https://wiki.lazarus.freepascal.org/Installing_Lazarus_on_Linux#FPC_and_Lazarus_from_SourceForge

Make sure that your distro provided that package. If in doubt discuss with them since they're the ones who build it.

Having said which, there's a lot of advantages to only using your distro to provide prerequisite libraries, and getting bit FPC and Lazarus from this project... either via the downloads links shown

<----- OVER THERE SOMEWHERE :-)
That package (lazarus-project_2.2.2-0_amd64.deb) is just from THERE  ;)



MarkMLl

  • Hero Member
  • *****
  • Posts: 5119
Re: install fail Lazarus 2.2.2, ubuntu 24.x, 20.x
« Reply #3 on: August 19, 2022, 10:33:57 pm »
That package (lazarus-project_2.2.2-0_amd64.deb) is just from THERE  ;)

Only if he's updated his sources.list (etc.) file which controls where apt is looking.

I don't know whether Ubuntu uses that package name, but Debian certainly doesn't. So in the absense of more detailed info from OP I decided a stock answer was in order.

MarkMLl
MT+86 & Turbo Pascal v1 on CCP/M-86, multitasking with LAN & graphics in 128Kb.
Pet hate: people who boast about the size and sophistication of their computer.
GitHub repositories: https://github.com/MarkMLl?tab=repositories

tetrastes

  • Full Member
  • ***
  • Posts: 233
Re: install fail Lazarus 2.2.2, ubuntu 24.x, 20.x
« Reply #4 on: August 19, 2022, 10:46:05 pm »
That package (lazarus-project_2.2.2-0_amd64.deb) is just from THERE  ;)

Only if he's updated his sources.list (etc.) file which controls where apt is looking.

Or if he is trying to install manually downloaded package.

Quote
I don't know whether Ubuntu uses that package name, but Debian certainly doesn't.

Ubuntu doesn't also.

RonQ

  • New Member
  • *
  • Posts: 15
Re: install fail Lazarus 2.2.2, ubuntu 24.x, 20.x
« Reply #5 on: August 20, 2022, 07:15:21 pm »
... made a new install of Ubuntu 22.04.1 LTS on erased hard drive.
... used 'software' app to locate and install Lazarus 2.2.0 ...
... install ended OK.
... found Lazarus in the app panel/screen, it showed location of the Lazarus, but NO icon
... clicked on it anyway ...
... got error:
file:///home/ronq/Pictures/Screenshots/Screenshot%20from%202022-08-20%2011-26-18.png

tetrastes

  • Full Member
  • ***
  • Posts: 233
Re: install fail Lazarus 2.2.2, ubuntu 24.x, 20.x
« Reply #6 on: August 20, 2022, 09:39:36 pm »
The installation of Lazarus in Ubuntu 22.04 Software is broken (it installs only lazarus-ide package, not the whole lazarus).
Use Synaptic to install lazarus package or
Code: Bash  [Select][+][-]
  1. sudo apt install lazarus

RonQ

  • New Member
  • *
  • Posts: 15
Re: install fail Lazarus 2.2.2, ubuntu 24.x, 20.x
« Reply #7 on: August 21, 2022, 04:08:55 am »
... installs (but missing support modules).
... on minimum test project - on first 'build' ... complaint of : 'missing Compiler', it suggests Dwarf2 ;
accepted.
....  we find "missing Classes" . In Lazarus Units, we need (but fail to find), in the Uses Statement:
Forms, and also Classes..
What gives?
 

RonQ

  • New Member
  • *
  • Posts: 15
Re: install fail Lazarus 2.2.2, ubuntu 24.x, 20.x
« Reply #8 on: August 21, 2022, 04:17:44 am »
edit: sorry I miss-spoke: classes make it: GRAPHICS ....
Forms, Graphics   ... not found....

Handoko

  • Hero Member
  • *****
  • Posts: 4712
  • My goal: build my own game engine using Lazarus
Re: install fail Lazarus 2.2.2, ubuntu 24.x, 20.x
« Reply #9 on: August 21, 2022, 05:12:19 am »
... used 'software' app to locate and install Lazarus 2.2.0 ...

Don't use that.

The easiest Lazarus installation on Ubuntu is manually download and install the 3 deb files.

 

TinyPortal © 2005-2018